"""Add side_dishes JSONB to recipe.

Revision ID: 0014
Revises: 0013
Create Date: 2026-05-27
"""
from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision: str = "0014"
down_revision: Union[str, None] = "0013"
branch_labels: Union[Sequence[str], None] = None
depends_on: Union[Sequence[str], None] = None


def upgrade() -> None:
    op.add_column(
        "recipe",
        sa.Column("side_dishes", postgresql.JSONB, nullable=True),
    )


def downgrade() -> None:
    op.drop_column("recipe", "side_dishes")
